# PSF-LoginServer - master - net.psforever.packet.game.objectcreate.DetailedPlayerData
PSF - LoginServer - master - net.psforever.packet.game.objectcreate.DetailedPlayerData
Keywords: PSF LoginServer master net.psforever.packet.game.objectcreate.DetailedPlayerData

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package packet
  Definition Classes
    psforever
-  package game
  Definition Classes
    packet
-  package objectcreate
  Definition Classes
    game
- AegisShieldGeneratorData
- AmmoBoxData
- BasicCharacterData
- CaptureFlagData
- CharacterAppearanceA
- CharacterAppearanceB
- CharacterAppearanceData
- CharacterData
- CommonFieldData
- CommonFieldDataExtra
- CommonFieldDataWithPlacement
- ConstructorData
- DCDExtra1
- DCDExtra2
- DestroyedVehicleData
- DetailedAmmoBoxData
- DetailedCharacterA
- DetailedCharacterB
- DetailedCharacterData
- DetailedCommandDetonaterData
- DetailedConstructionToolData
- DetailedLockerContainerData
- DetailedPlayerData
- DetailedREKData
- DetailedWeaponData
- DrawnSlot
- DroppedItemData
- DroppodData
- FlightPhysics
- HandheldData
- ImplantEffects
- ImplantEntry
- InternalSlot
- InventoryData
- InventoryItemData
- LargeDeployableData
- LockerContainerData
- MountItem
- ObjectClass
- ObjectCreateBase
- ObjectCreateMessageParent
- OneMannedFieldTurretData
- OrbitalShuttleData
- PlacementData
- PlayerData
- Prefab
- REKData
- RemoteProjectileData
- RemoteProjectiles
- RibbonBars
- SmallTurretData
- SpecificVehicleData
- StreamBitSize
- TRAPData
- TelepadDeployableData
- TerminalData
- UniformStyle
- UtilityVehicleData
- VariantVehicleData
- VehicleData
- VehicleFormat
- WeaponData

c

net.psforever.packet.game.objectcreate

# DetailedPlayerData 

###
Companion object DetailedPlayerData

#### final case class DetailedPlayerData(pos: Option[PlacementData], basic_appearance: CharacterAppearanceData, character_data: DetailedCharacterData, inventory: Option[InventoryData], drawn_slot: DrawnSlot.Value)(position_defined: Boolean) extends ConstructorData with Product with Serializable

A representation of an `avatar` player for the `ObjectCreateDetailedMessage` packet. As an avatar, the character created by this data is expected to be controllable by the client that gets sent this data.
Divisions exist to make the data more manageable. The first division defines the player's location within the game coordinate system. The second division defines features of the `avatar` that are shared by both the `ObjectCreateDetailedMessage` version of a controlled player character (this) and the `ObjectCreateMessage` version of a player character. The third field expands on the nature of the character and this avatar's campaign. Expansive information about previous interactions, the contents of their inventory, and equipment permissions are included.
The presence or absence of position data as the first division creates a cascading effect causing all of fields in the other two divisions to gain offsets. These offsets exist in the form of `String` and `List` padding.

pos

  the optional position of the character in the world environment

basic_appearance

  common fields regarding the the character's appearance

character_data

  the class-specific data that discusses the character

inventory

  the player's full or partial (holsters-only) inventory

drawn_slot

  the holster that is depicted as exposed, or "drawn"

position_defined

  used to seed the state of the optional position fields

Source
  DetailedPlayerData.scala
See also

  `CharacterAppearanceData`

  `DetailedCharacterData`

  `InventoryData`

  `DrawnSlot`

Linear Supertypes
Serializable, Product, Equals, ConstructorData, StreamBitSize, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. DetailedPlayerData
2. Serializable
3. Product
4. Equals
5. ConstructorData
6. StreamBitSize
7. AnyRef
8. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new DetailedPlayerData(pos: Option[PlacementData], basic_appearance: CharacterAppearanceData, character_data: DetailedCharacterData, inventory: Option[InventoryData], drawn_slot: DrawnSlot.Value)(position_defined: Boolean)

   pos

     the optional position of the character in the world environment

   basic_appearance

     common fields regarding the the character's appearance

   character_data

     the class-specific data that discusses the character

   inventory

     the player's full or partial (holsters-only) inventory

   drawn_slot

     the holster that is depicted as exposed, or "drawn"

   position_defined

     used to seed the state of the optional position fields

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  val basic_appearance: CharacterAppearanceData
6.  def bitsize: Long

   Performs a "sizeof()" analysis of the given object.
   The calculation reflects the `scodec Codec` definition rather than the explicit parameter fields.

   Performs a "sizeof()" analysis of the given object.
   The calculation reflects the `scodec Codec` definition rather than the explicit parameter fields. For example, a traditional `Int` is normally a 32-bit number, often rendered as a `32u` number. When parsed with a `uintL(7)`, it's length will be considered 7 bits (`7u`). (Note: being permanently signed, an `scodec` value of `32u` or longer must fit into a `Long` type.)

   returns

     the number of bits necessary to measure an object of this class; defaults to `0L`

   Definition Classes
     DetailedPlayerData → StreamBitSize
7.  val character_data: DetailedCharacterData
8.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
9.  val drawn_slot: DrawnSlot.Value
10.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
11.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
12.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
13.  val inventory: Option[InventoryData]
14.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
15.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
16.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
17.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
18.  val pos: Option[PlacementData]
19.  def productElementNames: Iterator[String]
    Definition Classes
      Product
20.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
21.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
22.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
23.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from ConstructorData

### Inherited from StreamBitSize

### Inherited from AnyRef

### Inherited from Any

### Ungrouped